Bug 730040 (perl-Date-ISO8601) - Review Request: perl-Date-ISO8601 - Three ISO 8601 numerical calendars
Summary: Review Request: perl-Date-ISO8601 - Three ISO 8601 numerical calendars
Keywords:
Status: CLOSED ERRATA
Alias: perl-Date-ISO8601
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Date-ISO8...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 15:38 UTC by Iain Arnell
Modified: 2011-08-28 05:23 UTC (History)
3 users (show)

Fixed In Version: perl-Date-ISO8601-0.004-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-26 19:00:50 UTC
emmanuel: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2011-08-11 15:38:58 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Date-ISO8601.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Date-ISO8601-0.004-1.fc17.src.rpm

Description:
The international standard ISO 8601 "Data elements and interchange formats
- Information interchange - Representation of dates and times" defines
three distinct calendars by which days can be labeled. It also defines
textual formats for the representation of dates in these calendars. This
module provides functions to convert dates between these three calendars
and Chronological Julian Day Numbers, which is a suitable format to do
arithmetic with. It also supplies functions that describe the shape of
these calendars, to assist in calendrical calculations. It also supplies
functions to represent dates textually in the ISO 8601 formats. ISO 8601
also covers time of day and time periods, but this module does nothing
relating to those parts of the standard; this is only about labeling days.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3266206

*rt-0.10_01

Comment 1 Emmanuel Seyman 2011-08-14 11:31:42 UTC
Taking.

Comment 2 Emmanuel Seyman 2011-08-14 12:17:06 UTC
=== KEY ===

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===

 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3271867

 [ ] Rpmlint output:
perl-Date-ISO8601.noarch: W: spelling-error %description -l en_US calendrical -> cylindrical, calendar, anticlerical
perl-Date-ISO8601.src: W: spelling-error %description -l en_US calendrical -> cylindrical, calendar, anticlerical
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct
None specified, default used.

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
e8efa8355310f95605f8f7f399ecb5e0  Date-ISO8601-0.004.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===

 [x] Latest version is packaged.
 [-] Package does not include license text files separate from upstream.
 [x] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86-64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3271867
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=6, Tests=456,  0 wallclock secs ( 0.10 usr  0.01 sys +  0.70 cusr  0.06 csys =  0.87 CPU)
Result: PASS

The only reserve I have on this package is that the line:
BuildRequires:  perl >= 0:5.006
is superfluous. We haven't shipped perl 5.6 for years and years.
Feel free to remove it.

APPROVED.

Comment 3 Iain Arnell 2011-08-14 12:53:03 UTC
New Package SCM Request
=======================
Package Name: perl-Date-ISO8601
Short Description: Three ISO 8601 numerical calendars
Owners: iarnell
Branches: f14 f15 f16
InitialCC: perl-sig

Comment 4 Iain Arnell 2011-08-14 12:58:46 UTC
(In reply to comment #2)
> The only reserve I have on this package is that the line:
> BuildRequires:  perl >= 0:5.006
> is superfluous. We haven't shipped perl 5.6 for years and years.
> Feel free to remove it.

Yeah, even RHEL4 has perl 5.8.5. Will remove it (and probably add another local tweak to cpanspec).

Thanks for the review.

Comment 5 Gwyn Ciesla 2011-08-16 12:54:19 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-08-16 15:34:35 UTC
perl-Date-ISO8601-0.004-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Date-ISO8601-0.004-2.fc15

Comment 7 Fedora Update System 2011-08-16 15:34:43 UTC
perl-Date-ISO8601-0.004-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Date-ISO8601-0.004-2.fc14

Comment 8 Fedora Update System 2011-08-16 15:34:51 UTC
perl-Date-ISO8601-0.004-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Date-ISO8601-0.004-2.fc16

Comment 9 Fedora Update System 2011-08-16 20:09:23 UTC
perl-Date-ISO8601-0.004-2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 10 Fedora Update System 2011-08-26 19:00:44 UTC
perl-Date-ISO8601-0.004-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 11 Fedora Update System 2011-08-26 19:06:04 UTC
perl-Date-ISO8601-0.004-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 12 Fedora Update System 2011-08-28 05:23:34 UTC
perl-Date-ISO8601-0.004-2.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.